## python-oslo.messaging 5.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

futurist!=0.15.0,>=0.11.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
monotonic>=0.6 # Apache-2.0

# for jsonutils
six>=1.9.0 # MIT
cachetools>=1.1.0 # MIT License


# FIXME(markmc): remove this when the drivers no longer
# import eventlet

eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT

WebOb>=1.2.3 # MIT

# for the routing notifier
PyYAML>=3.1.0 # MIT

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp<2.0,>=1.4.0 # LGPL
kombu>=3.0.25 # BSD
pika>=0.10.0 # BSD
pika-pool>=0.1.3 # BSD

# used by pika and zmq drivers
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
retrying!=1.3.0,>=1.2.3 # Apache-2.0

# middleware
oslo.middleware>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (5.10.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:44:14 +0000

python-oslo.messaging (5.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:02 +0200

python-oslo.messaging (5.10.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Sep 2016 23:57:06 +0200

python-oslo.messaging (5.9.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Using HTTPS for upstream Git.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.
  * Move runtime dependencies on kafka and zmq to Suggests.
  * Bump minimum version of oslo.serialization to 2.7.0.
  * Avoid use of pifpaf during unit test execution; only used for
    functional testing upstream.
  * Skip TestZmqAckManager tests as they currently FAIL or hang.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 11:58:19 +0100

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-amqp (>= 1.4.0),
                     python-cachetools,
                     python-concurrent.futures (>= 3.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.13.0),
                     python-greenlet,
                     python-hacking,
                     python-kafka (>= 0.9.5),
                     python-kombu (>= 3.0.30),
                     python-mock (>= 1.3),
                     python-monotonic (>= 0.6),
                     python-mox3,
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.serialization (>= 2.7.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pika (>= 0.10.0),
                     python-pika-pool,
                     python-pyngus,
                     python-redis,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-testscenarios,
                     python-testtools (>= 1.7.0),
                     python-webob,
                     python-yaml,
                     python-zmq,
                     python3-amqp (>= 1.4.0),
                     python3-cachetools,
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.13.0),
                     python3-greenlet,
                     python3-kafka (>= 0.9.5),
                     python3-kombu (>= 3.0.30),
                     python3-mock (>= 1.3),
                     python3-monotonic (>= 0.6),
                     python3-mox3,
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.context (>= 2.9.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.middleware (>= 3.0.0),
                     python3-oslo.serialization (>= 2.7.0),
                     python3-oslo.service (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pika (>= 0.10.0),
                     python3-pika-pool,
                     python3-pyngus,
                     python3-redis,
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     python3-yaml,
                     python3-zmq,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.messaging?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.messaging -b debian/newton
Homepage: https://github.com/openstack/oslo.messaging

Package: python-oslo.messaging
Architecture: all
Depends: python-amqp (>= 1.4.0),
         python-cachetools,
         python-concurrent.futures (>= 3.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.13.0),
         python-greenlet,
         python-kombu (>= 3.0.30),
         python-monotonic (>= 0.6),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.serialization (>= 2.7.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-pika (>= 0.10.0),
         python-pika-pool,
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         python-webob,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: python-oslo-messaging (<< 1.13.0-1~),
Replaces: python-oslo-messaging (<< 1.13.0-1~),
Suggests: python-kafka (>= 0.9.5),
          python-zmq,
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-amqp (>= 1.4.0),
         python3-cachetools,
         python3-debtcollector (>= 1.2.0),
         python3-eventlet (>= 0.18.4),
         python3-futurist (>= 0.13.0),
         python3-greenlet,
         python3-kombu (>= 3.0.30),
         python3-monotonic (>= 0.6),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.context (>= 2.9.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.middleware (>= 3.0.0),
         python3-oslo.serialization (>= 2.7.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-pika (>= 0.10.0),
         python3-pika-pool,
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         python3-webob,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-kafka (>= 0.9.5),
          python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends: adduser,
         lsb-base,
         python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
         python-zmq | python3-zmq,
         ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT = https://github.com/openstack/oslo.messaging.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_messaging\.tests\.(?!(.*drivers.test_impl_rabbit\.TestRabbitDriverLoad\.test_driver_load.*|.*test_transport.GetTransportSadPathTestCase.test_get_transport_sad.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*|.*TestZmqAckManager.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	# Don't attempt to fetch pbr from PyPi...
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean

## python-oslo.messaging 5.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

futurist!=0.15.0,>=0.11.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
monotonic>=0.6 # Apache-2.0

# for jsonutils
six>=1.9.0 # MIT
cachetools>=1.1.0 # MIT License

# FIXME(markmc): remove this when the drivers no longer import eventlet

eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT

WebOb>=1.6.0 # MIT

# for the routing notifier
PyYAML>=3.10.0 # MIT

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp<2.0,>=1.4.0 # LGPL
kombu!=4.0.0,>=3.0.25 # BSD
pika>=0.10.0 # BSD
pika-pool>=0.1.3 # BSD

# used by pika and zmq drivers
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
tenacity>=3.2.1 # Apache-2.0

# middleware
oslo.middleware>=3.0.0 # Apache-2.0

## python-oslo.messaging 5.15.0

=== requirements.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
 amqp<2.0,>=1.4.0 # LGPL
-kombu!=4.0.0,>=3.0.25 # BSD
+kombu!=4.0.0,!=4.0.1,>=3.0.25 # BSD
 pika>=0.10.0 # BSD
 pika-pool>=0.1.3 # BSD

## python-oslo.messaging 5.17.1

=== requirements.txt ===
--- 
+++ 
@@ -20,11 +20,6 @@
 six>=1.9.0 # MIT
 cachetools>=1.1.0 # MIT License
 
-# FIXME(markmc): remove this when the drivers no longer import eventlet
-
-eventlet!=0.18.3,>=0.18.2 # MIT
-greenlet>=0.3.2 # MIT
-
 WebOb>=1.6.0 # MIT
 
 # for the routing notifier
@@ -33,7 +28,7 @@
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
 amqp<2.0,>=1.4.0 # LGPL
-kombu!=4.0.0,!=4.0.1,>=3.0.25 # BSD
+kombu<4.0.0,>=3.0.25 # BSD
 pika>=0.10.0 # BSD
 pika-pool>=0.1.3 # BSD

=== debian/changelog ===
python-oslo.messaging (5.17.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 08:58:49 -0500

python-oslo.messaging (5.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add dep-8 test.
  * d/patches/try-using-future-absolute-import.patch: Dropped no longer
    needed.
  * d/patches/fixes-monkey_patch-call.patch: Dropped no longer needed.
  * d/pydist-overrides: Add kafka since is experimental support.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 09:20:30 -0500

python-oslo.messaging (5.16.0-0ubuntu2) zesty; urgency=medium

  * d/patches/skip-tests.patch: Skip failing tests in buildds. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jan 2017 11:12:38 -0500

python-oslo.messaging (5.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jan 2017 13:29:26 -0500

python-oslo.messaging (5.15.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
 
 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 10:44:26 -0500

python-oslo.messaging (5.14.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 10:37:38 -0500

python-oslo.messaging (5.13.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Dec 2016 12:22:35 -0500

python-oslo.messaging (5.11.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control: Bump version depdencies

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 10:27:23 -0400

python-oslo.messaging (5.10.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 10:17:36 -0400

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-amqp (>= 1.4.0),
                     python-cachetools (>= 1.1.0),
                     python-concurrent.futures (>= 3.0),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-kafka (>= 0.9.5),
                     python-kombu (>= 3.0.25),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-mox3 (>= 0.7.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-pika (>= 0.10.0),
                     python-pika-pool (>= 0.1.3),
                     python-pyngus (>= 2.0.2),
                     python-redis (>= 2.10.0),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-tenacity (>= 3.2.1),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-yaml (>= 3.10.0),
                     python-zmq,
                     python3-amqp (>= 1.4.0),
                     python3-cachetools (>= 1.1.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.11.0),
                     python3-greenlet (>= 0.3.2),
                     python3-kafka (>= 0.9.5),
                     python3-kombu (>= 3.0.25),
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-mox3 (>= 0.7.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.context (>= 2.9.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.middleware (>= 3.0.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.service (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pika (>= 0.10.0),
                     python3-pika-pool (>= 0.1.3),
                     python3-pyngus (>= 2.0.2),
                     python3-redis (>= 2.10.0),
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-tenacity (>= 3.2.1),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-webob (>= 1.6.0),
                     python3-yaml (>= 3.10.0),
                     python3-zmq,
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://github.com/openstack/oslo.messaging
Testsuite: autopkgtest-pkg-python

Package: python-oslo.messaging
Architecture: all
Depends: python-amqp (>= 1.4.0),
         python-cachetools (>= 1.1.0),
         python-concurrent.futures (>= 3.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.2),
         python-futurist (>= 0.11.0),
         python-greenlet (>= 0.3.2),
         python-kombu (>= 3.0.25),
         python-monotonic (>= 0.6),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-pika (>= 0.10.0),
         python-pika-pool (>= 0.1.3),
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         python-tenacity (>= 3.2.1),
         python-webob (>= 1.6.0),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Breaks: python-oslo-messaging (<< 1.13.0-1~),
Replaces: python-oslo-messaging (<< 1.13.0-1~),
Suggests: python-kafka (>= 0.9.5),
          python-zmq,
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-amqp (>= 1.4.0),
         python3-cachetools (>= 1.1.0),
         python3-debtcollector (>= 1.2.0),
         python3-eventlet (>= 0.18.2),
         python3-futurist (>= 0.11.0),
         python3-greenlet (>= 0.3.2),
         python3-kombu (>= 3.0.25),
         python3-monotonic (>= 0.6),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.context (>= 2.9.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.middleware (>= 3.0.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-pika (>= 0.10.0),
         python3-pika-pool (>= 0.1.3),
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         python3-tenacity (>= 3.2.1),
         python3-webob (>= 1.6.0),
         python3-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-kafka (>= 0.9.5),
          python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends: adduser,
         python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
         python-zmq | python3-zmq,
         ${misc:Depends}
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

## python-oslo.messaging 5.17.2

=== debian/changelog ===
python-oslo.messaging (5.17.2-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 17 Sep 2017 14:31:17 +0200

python-oslo.messaging (5.5.0-2) UNRELEASED; urgency=medium

  * Using HTTPS for upstream Git.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Aug 2016 17:38:17 +0200

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-amqp (>= 1.4.0),
                     python-cachetools,
                     python-concurrent.futures (>= 3.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.13.0),
                     python-greenlet,
                     python-hacking,
                     python-kafka (>= 1.3.1),
                     python-kombu (>= 3.0.30),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-mox3,
                     python-tenacity (>= 3.1.1),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.serialization (>= 2.7.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pika (>= 0.10.0),
                     python-pika-pool,
                     python-pyngus,
                     python-redis,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-testscenarios,
                     python-testtools (>= 1.7.0),
                     python-webob,
                     python-yaml,
                     python-zmq,
                     python3-amqp (>= 1.4.0),
                     python3-cachetools,
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.13.0),
                     python3-greenlet,
                     python3-kafka (>= 1.3.1),
                     python3-kombu (>= 3.0.30),
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-mox3,
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.context (>= 2.9.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.middleware (>= 3.0.0),
                     python3-oslo.serialization (>= 2.7.0),
                     python3-oslo.service (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pika (>= 0.10.0),
                     python3-pika-pool,
                     python3-pyngus,
                     python3-tenacity (>= 3.1.1),
                     python3-redis,
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     python3-yaml,
                     python3-zmq,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.messaging.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.messaging.git -b debian/ocata
Homepage: https://github.com/openstack/oslo.messaging

Package: python-oslo.messaging
Architecture: all
Depends: python-amqp (>= 1.4.0),
         python-cachetools,
         python-concurrent.futures (>= 3.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.13.0),
         python-greenlet,
         python-tenacity (>= 3.1.1),
         python-kombu (>= 3.0.30),
         python-monotonic (>= 0.6),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.serialization (>= 2.7.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-pika (>= 0.10.0),
         python-pika-pool,
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         python-webob,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: python-oslo-messaging (<< 1.13.0-1~),
Replaces: python-oslo-messaging (<< 1.13.0-1~),
Suggests: python-kafka (>= 1.3.1),
          python-zmq,
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-amqp (>= 1.4.0),
         python3-cachetools,
         python3-debtcollector (>= 1.2.0),
         python3-eventlet (>= 0.18.4),
         python3-futurist (>= 0.13.0),
         python3-greenlet,
         python3-kombu (>= 3.0.30),
         python3-monotonic (>= 0.6),
         python3-oslo.config (>= 1:3.14.0),
         python3-tenacity (>= 3.1.1),
         python3-oslo.context (>= 2.9.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.middleware (>= 3.0.0),
         python3-oslo.serialization (>= 2.7.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-pika (>= 0.10.0),
         python3-pika-pool,
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         python3-webob,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-kafka (>= 1.3.1),
          python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends: adduser,
         lsb-base,
         python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
         python-zmq | python3-zmq,
         ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,8 @@
 override_dh_auto_clean:
 	# Don't attempt to fetch pbr from PyPi...
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
+	rm -f AUTHORS
+	rm -f ChangeLog
+	rm -rf build
+	rm -rf oslo.messaging.egg-info
+	rm -rf .testrepository

## python-oslo.messaging 5.30.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

futurist!=0.15.0,>=0.11.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
monotonic>=0.6 # Apache-2.0

# for jsonutils
six>=1.9.0 # MIT
cachetools>=1.1.0 # MIT License

WebOb>=1.7.1 # MIT

# for the routing notifier
PyYAML>=3.10.0 # MIT

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp!=2.1.4,>=2.1.0 # BSD
kombu!=4.0.2,>=4.0.0 # BSD
pika>=0.10.0 # BSD
pika-pool>=0.1.3 # BSD

# used by pika and zmq drivers
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
tenacity>=3.2.1 # Apache-2.0

# middleware
oslo.middleware>=3.27.0 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (5.30.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 17 Jan 2018 21:29:02 +0000

python-oslo.messaging (5.30.0-0ubuntu2) artful; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/pike branch.

  [ Felipe Reyes ]
  * d/p/catch-socket.timeout-when-doing-heartbeat_check.patch: reconnect on
    timeout (LP: #1657444).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Wed, 10 Jan 2018 16:10:10 -0300

python-oslo.messaging (5.30.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:00:24 -0400

python-oslo.messaging (5.28.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 15:49:42 -0400

python-oslo.messaging (5.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:26:04 +0100

python-oslo.messaging (5.22.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Remove skipping of tests.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:03:35 +0100

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-amqp (>= 2.1.0),
                     python-cachetools (>= 1.1.0),
                     python-concurrent.futures (>= 3.0),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-kafka (>= 0.9.5),
                     python-kombu (>= 4.0.0),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.middleware (>= 3.27.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-pika (>= 0.10.0),
                     python-pika-pool (>= 0.1.3),
                     python-pyngus (>= 2.0.2),
                     python-redis (>= 2.10.0),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-tenacity (>= 3.2.1),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.7.1),
                     python-yaml (>= 3.10.0),
                     python-zmq,
                     python3-amqp (>= 2.1.0),
                     python3-cachetools (>= 1.1.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.11.0),
                     python3-greenlet (>= 0.3.2),
                     python3-kafka (>= 0.9.5),
                     python3-kombu (>= 4.0.0),
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.context (>= 2.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.middleware (>= 3.27.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.service (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pika (>= 0.10.0),
                     python3-pika-pool (>= 0.1.3),
                     python3-pyngus (>= 2.0.2),
                     python3-redis (>= 2.10.0),
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-tenacity (>= 3.2.1),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-webob (>= 1.7.1),
                     python3-yaml (>= 3.10.0),
                     python3-zmq,
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://github.com/openstack/oslo.messaging
Testsuite: autopkgtest-pkg-python

Package: python-oslo.messaging
Architecture: all
Depends: python-amqp (>= 2.1.0),
         python-cachetools (>= 1.1.0),
         python-concurrent.futures (>= 3.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.2),
         python-futurist (>= 0.11.0),
         python-greenlet (>= 0.3.2),
         python-kombu (>= 4.0.0),
         python-monotonic (>= 0.6),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.middleware (>= 3.27.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-pika (>= 0.10.0),
         python-pika-pool (>= 0.1.3),
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         python-tenacity (>= 3.2.1),
         python-webob (>= 1.7.1),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Breaks: python-oslo-messaging (<< 1.13.0-1~),
Replaces: python-oslo-messaging (<< 1.13.0-1~),
Suggests: python-kafka (>= 0.9.5),
          python-zmq,
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-amqp (>= 2.1.0),
         python3-cachetools (>= 1.1.0),
         python3-debtcollector (>= 1.2.0),
         python3-eventlet (>= 0.18.2),
         python3-futurist (>= 0.11.0),
         python3-greenlet (>= 0.3.2),
         python3-kombu (>= 4.0.0),
         python3-monotonic (>= 0.6),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.context (>= 2.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.middleware (>= 3.27.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-pika (>= 0.10.0),
         python3-pika-pool (>= 0.1.3),
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         python3-tenacity (>= 3.2.1),
         python3-webob (>= 1.7.1),
         python3-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-kafka (>= 0.9.5),
          python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends: adduser,
         python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
         python-zmq | python3-zmq,
         ${misc:Depends}
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.
